<div style="margin-top: 20px;">
    <h5>
        <span>Penerimaan Faktur</span>
    </h5>

    <p-tabView>
        <p-tabPanel header="Upload">
            <div class="row margin-row">
                <div class="col-md-12">
                    <div class="pull-right">
                        <!-- <a [routerLink]="['../registration/penerimaan/faktur/upload']" class="btn btn-primary"><span>Upload</span></a> -->
                        <!-- <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload">
							<i  aria-hidden="true"></i><span class="label-uploaded">Upload</span>           
							<input type="file" (change)="onFileChange($event)" multiple="false" accept="text/UDSTK" hidden/>
						</label> -->
                        <button pButton type="button" class="ui-button-primary btn-sm" label="UPLOAD" [routerLink]="['../registration-penerimaan-faktur-upload']"></button>
                    </div>
                </div>
            </div>

            <p-dataTable [value]="vehicleDocumentRequirements" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idRequirement" expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)" [(selection)]="selected">
                <p-header>
                    <div class="row"></div>
                </p-header>
                <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No. Pengajuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.registrationNumber}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl. Pengajuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateFillName | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="No. Rangka">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.vehicle.idFrame}}
                    </ng-template>
                </p-column>
                <p-column header="No. Mesin">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.vehicle.idMachine}}
                    </ng-template>
                </p-column>
                <p-column header="No. Faktur">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.fakturATPM}}
                    </ng-template>
                </p-column>
                <p-column header="Tgl. Faktur">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.fakturDate | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Status Isi Nama">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.note}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
					<ng-template let-rowData="rowData" pTemplate="body">
						<a (click)="showCancelModal(rowData)">Cancel</a>
						<a (click)="doReceive(rowData)">Receive</a> -->
                <!-- <a (click)="processFaktur(rowData.idRequirement)">Faktur OK</a> -->
                <!-- </ng-template> -->
                <!-- </p-column> -->

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
            <div class="btn-filter-wrapper pull-right">
                <button (click)="showCancelModal()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                        <span>Cancel</span>
                </button>
                <button (click)="saveUploadFaktur()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
					<span>Receive</span>
				</button>
            </div>
        </p-tabPanel>

        <p-tabPanel header="Manual">
            <jhi-registration-penerimaan-faktur-non></jhi-registration-penerimaan-faktur-non>
        </p-tabPanel>

        <p-tabPanel header="Revisi">
            <jhi-registration-penerimaan-faktur-revisi></jhi-registration-penerimaan-faktur-revisi>
        </p-tabPanel>
    </p-tabView>
</div>
<div style="margin-top: 10px;"></div>

<p-dialog header="Alasan Revisi" [(visible)]="cancelModal" modal="true" [width]="700">
    <div class="row">
        <div class="col-sm-12">
            <form name="editForm" role="form" novalidate (ngSubmit)="doCancel(note)" #editForm="ngForm">
                <!-- <input type="hidden" class="form-control" id="idRequirement" name="idRequirement" [(ngModel)]="vehicleDocumentRequirement.idRequirement" /> -->

                <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">Note</label>
                    <label class="form-control-label ui-g-6">
						<textarea class="form-control" name="note" [(ngModel)]="note"></textarea>
					</label>
                </div>

                <button class="btn btn-primary" type="submit">Submit</button>
            </form>
        </div>
    </div>
</p-dialog>

<!-- <p-confirmDialog></p-confirmDialog> -->